Bug 1302057 - (CVE-2016-2197) CVE-2016-2197 Qemu: ide: ahci null pointer dereference when using FIS CLB engines
CVE-2016-2197 Qemu: ide: ahci null pointer dereference when using FIS CLB eng...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160128,reported=2...
: Security
Depends On: 1302952
Blocks: 1302060
  Show dependency treegraph
 
Reported: 2016-01-26 11:35 EST by Adam Mariš
Modified: 2017-09-12 11:36 EDT (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the QEMU emulator built with IDE AHCI emulation support. The flaw occurs when unmapping the Frame Information Structure(FIS) & Command List Block(CLB) entries. A privileged user inside a guest could use this flaw to crash the QEMU process instance (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-26 11:35:01 EST
Qemu emulator built with an IDE AHCI emulation support is vulnerable to a null pointer dereference flaw. It occurs while unmapping the Frame Information Structure(FIS) & Command List Block(CLB) entries.

A privileged user inside guest could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg06114.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/30/1
Comment 2 Prasad J Pandit 2016-01-29 01:26:01 EST
Acknowledgement:

Red Hat would like to thank Zuozhi Fzz of Alibaba Inc. for reporting this issue.
Comment 3 Prasad J Pandit 2016-01-29 01:28:32 EST
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 4 Prasad J Pandit 2016-01-29 01:31:21 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1302952]
Comment 5 Fedora Update System 2016-02-21 07:58:48 EST
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-02-21 11:19:26 EST
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-02-21 11:25:26 EST
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-25 03:51:49 EST
qemu-2.3.1-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.